Bug 1276703 - [abrt] parole: cogl_pipeline_new(): parole killed by SIGSEGV
[abrt] parole: cogl_pipeline_new(): parole killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: parole (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:18b72141d9a595063e173fcb767...
:
: 1333472 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-30 10:39 EDT by Emiliano Barrionuevo
Modified: 2016-12-20 10:15 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:15:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (27.66 KB, text/plain)
2015-10-30 10:39 EDT, Emiliano Barrionuevo
no flags Details
File: cgroup (190 bytes, text/plain)
2015-10-30 10:39 EDT, Emiliano Barrionuevo
no flags Details
File: core_backtrace (6.54 KB, text/plain)
2015-10-30 10:39 EDT, Emiliano Barrionuevo
no flags Details
File: dso_list (11.96 KB, text/plain)
2015-10-30 10:39 EDT, Emiliano Barrionuevo
no flags Details
File: environ (1.39 KB, text/plain)
2015-10-30 10:39 EDT, Emiliano Barrionuevo
no flags Details
File: exploitable (110 bytes, text/plain)
2015-10-30 10:39 EDT, Emiliano Barrionuevo
no flags Details
File: limits (1.29 KB, text/plain)
2015-10-30 10:39 EDT, Emiliano Barrionuevo
no flags Details
File: maps (56.99 KB, text/plain)
2015-10-30 10:39 EDT, Emiliano Barrionuevo
no flags Details
File: mountinfo (3.44 KB, text/plain)
2015-10-30 10:39 EDT, Emiliano Barrionuevo
no flags Details
File: open_fds (1004 bytes, text/plain)
2015-10-30 10:39 EDT, Emiliano Barrionuevo
no flags Details
File: proc_pid_status (1003 bytes, text/plain)
2015-10-30 10:39 EDT, Emiliano Barrionuevo
no flags Details
File: var_log_messages (290 bytes, text/plain)
2015-10-30 10:39 EDT, Emiliano Barrionuevo
no flags Details

  None (edit)
Description Emiliano Barrionuevo 2015-10-30 10:39:30 EDT
Description of problem:
Daily use.

Version-Release number of selected component:
parole-0.8.0-3.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        parole '/home/pulgafree/Descargas/Star Wars - El Despertar de la Fuerza \xe2\x80\x93 Tr\xc3\xa1iler Oficial-5eKLdSDGh9k.mp4'
crash_function: cogl_pipeline_new
executable:     /usr/bin/parole
global_pid:     5458
kernel:         4.2.3-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 cogl_pipeline_new at cogl-pipeline.c:435
 #1 clutter_texture_init at deprecated/clutter-texture.c:1316
 #2 g_type_create_instance at gtype.c:1874
 #3 g_object_constructor at gobject.c:2064
 #4 clutter_actor_constructor at clutter-actor.c:6243
 #5 g_object_new_with_custom_constructor at gobject.c:1697
 #6 g_object_new_internal at gobject.c:1777
 #7 g_object_new_valist at gobject.c:2038
 #9 parole_clutter_init at parole-clutter.c:337
 #10 g_type_create_instance at gtype.c:1874
Comment 1 Emiliano Barrionuevo 2015-10-30 10:39:35 EDT
Created attachment 1087947 [details]
File: backtrace
Comment 2 Emiliano Barrionuevo 2015-10-30 10:39:36 EDT
Created attachment 1087948 [details]
File: cgroup
Comment 3 Emiliano Barrionuevo 2015-10-30 10:39:38 EDT
Created attachment 1087949 [details]
File: core_backtrace
Comment 4 Emiliano Barrionuevo 2015-10-30 10:39:40 EDT
Created attachment 1087950 [details]
File: dso_list
Comment 5 Emiliano Barrionuevo 2015-10-30 10:39:41 EDT
Created attachment 1087951 [details]
File: environ
Comment 6 Emiliano Barrionuevo 2015-10-30 10:39:43 EDT
Created attachment 1087952 [details]
File: exploitable
Comment 7 Emiliano Barrionuevo 2015-10-30 10:39:44 EDT
Created attachment 1087953 [details]
File: limits
Comment 8 Emiliano Barrionuevo 2015-10-30 10:39:47 EDT
Created attachment 1087954 [details]
File: maps
Comment 9 Emiliano Barrionuevo 2015-10-30 10:39:49 EDT
Created attachment 1087955 [details]
File: mountinfo
Comment 10 Emiliano Barrionuevo 2015-10-30 10:39:50 EDT
Created attachment 1087956 [details]
File: open_fds
Comment 11 Emiliano Barrionuevo 2015-10-30 10:39:52 EDT
Created attachment 1087957 [details]
File: proc_pid_status
Comment 12 Emiliano Barrionuevo 2015-10-30 10:39:53 EDT
Created attachment 1087958 [details]
File: var_log_messages
Comment 13 Kevin Fenzi 2015-10-30 14:01:47 EDT
Can you get it to crash the same way on the same file? Or it's somewhat sporadic?
Comment 14 Emiliano Barrionuevo 2015-11-03 08:16:56 EST
Yes. Any file being mvk with h264 codec.

I didn't add rpmfusion repo.
Comment 15 Jia Yuan Lo 2016-04-14 14:02:15 EDT
Similar problem has been detected:

switched to clutter (opengl), closed and restart application, crashed...

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        parole
crash_function: cogl_pipeline_new
executable:     /usr/bin/parole
global_pid:     5652
kernel:         4.4.6-301.fc23.x86_64
package:        parole-0.8.0-3.fc23
reason:         parole killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 16 Alberto 2016-05-05 11:16:37 EDT
*** Bug 1333472 has been marked as a duplicate of this bug. ***
Comment 17 Fedora End Of Life 2016-11-24 07:59:37 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 18 Fedora End Of Life 2016-12-20 10:15:59 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.